InlineExplodedTomcatServer (Grails 2.2.5)
Date: 2014-03-04

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.grails.plugins.tomcat
[Groovy] Class InlineExplodedTomcatServer

    java.lang.Object
      org.grails.plugins.tomcat.TomcatServer
          org.grails.plugins.tomcat.InlineExplodedTomcatServer

    class InlineExplodedTomcatServer
    extends TomcatServer

Serves the app, without packaging as a war and runs it in the same JVM.

Field Summary

Fields inherited from class TomcatServer
buildSettings, keyPassword, keystoreFile, pluginSettings, tomcatDir, trustPassword, truststore, truststoreFile, usingUserKeystore, workDir

Property Summary
`org.apache.catalina.Context` | `context`
`org.apache.catalina.startup.Tomcat` | `tomcat`

Constructor Summary
`InlineExplodedTomcatServer(java.lang.String basedir, java.lang.String webXml, java.lang.String contextPath, java.lang.ClassLoader classLoader)`

Method Summary
`protected void` | `configureAliases(org.apache.catalina.Context context)`
`protected org.apache.catalina.Loader` | `createTomcatLoader(java.lang.ClassLoader classLoader)`
`void` | `doStart(java.lang.String host, int httpPort, int httpsPort)`
`int` | `getLocalHttpPort()`
`int` | `getLocalHttpsPort()`
`protected void` | `initialize(org.apache.catalina.startup.Tomcat tomcat)`
`void` | `stop()`

Methods inherited from class TomcatServer
checkAndInitializingClasspathScanning, createSSLCertificate, doStart, getConfigParam, getConfigParams, getWorkDirFile, restart, start, start, start, startSecure, startSecure, startSecure, stop

Property Detail

### context

    org.apache.catalina.Context context

### tomcat

    final org.apache.catalina.startup.Tomcat tomcat

Constructor Detail

### InlineExplodedTomcatServer

    InlineExplodedTomcatServer(java.lang.String basedir, java.lang.String webXml, java.lang.String contextPath, java.lang.ClassLoader classLoader)

Method Detail

### configureAliases

    protected void configureAliases(org.apache.catalina.Context context)

### createTomcatLoader

    protected org.apache.catalina.Loader createTomcatLoader(java.lang.ClassLoader classLoader)

### doStart

    void doStart(java.lang.String host, int httpPort, int httpsPort)

### getLocalHttpPort

    int getLocalHttpPort()

### getLocalHttpsPort

    int getLocalHttpsPort()

### initialize

    protected void initialize(org.apache.catalina.startup.Tomcat tomcat)

### stop

    void stop()

Groovy Documentation